tigase.jaxmpp.core.client.xmpp.modules.presence

## Class PresenceModule.ContactUnsubscribedHandler.ContactUnsubscribedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<PresenceModule.ContactUnsubscribedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceModule.ContactUnsubscribedHandler.ContactUnsubscribedEvent

- Enclosing interface:
    PresenceModule.ContactUnsubscribedHandler

      public static class PresenceModule.ContactUnsubscribedHandler.ContactUnsubscribedEvent
      extends JaxmppEvent<PresenceModule.ContactUnsubscribedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactUnsubscribedEvent(SessionObject sessionObject, Presence presence, BareJID bareJID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(PresenceModule.ContactUnsubscribedHandler handler)` Invokes handlers method.
    `BareJID` | `getJid()`
    `Presence` | `getStanza()`
    `void` | `setJid(BareJID jid)`
    `void` | `setStanza(Presence stanza)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactUnsubscribedEvent

          public ContactUnsubscribedEvent(SessionObject sessionObject,
                                          Presence presence,
                                          BareJID bareJID)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(PresenceModule.ContactUnsubscribedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<PresenceModule.ContactUnsubscribedHandler>`
      Parameters:
        `handler` - handler

    - #### getJid

          public BareJID getJid()

    - #### getStanza

          public Presence getStanza()

    - #### setJid

          public void setJid(BareJID jid)

    - #### setStanza

          public void setStanza(Presence stanza)

Copyright © 2006–2016 Tigase. All rights reserved.